<template>
  <div ref="lottieContainer" :style="style"></div>
</template>

<script>
import lottie from 'lottie-web';

export default {
  props: {
    animationPath: {
      type: String,
      required: true
    },
    style: {
      type: Object,
      default: () => ({
        width: '50px',
        height: '50px'
      })
    }
  },
  mounted() {
    if (process.client) {
      lottie.loadAnimation({
        container: this.$refs.lottieContainer,
        renderer: 'svg',
        loop: true,
        autoplay: true,
        path: this.animationPath
      });
    }
  }
};
</script>

<style scoped>
</style>
